Subject: [MIB-DOCTORS] Call for volunteer MIB doctor review for MEF SOAM MIB modules

From: "Bert (IETF) Wijnen" <[email-masked]>
Date: Fri, 24 Sep 2010 13:03:18 +0200

Dan (on vacation for a week or so) asked me to forward this to the
MIB doctors list to call for a volunteer reviewer.

Pls start the review and let the list know if your do want to volunteer!
Pls copy Steve explicitly, because he is not on the MIB doctors list.

I do not have time to review (certainly not in the short term).

Steve,
I did a very quick browse through the mib modules though
and I already wonder:

- I would have all MIB object descriptors (names) start with Mef or mef,
    so it is very clear they come from MEF
- Specifically, the textuatl conventions do not look generic, and so prefixing them
   with Mef woul be very wise (and I think also in accordance with the guidance
   in RFC4181.
-  I see tables with read-create objects without even a RowStatus object???
- is the LLDP-MIB DEFINITIONS ::= BEGIN there just as a FYI?
    That MIB  belongs in 802.1 does it not??
    You're not trying to redefine it are you.

Bert

-------- Original Message --------
Subject: 	RE: MEF SOAM MIB
Date: 	Thu, 23 Sep 2010 14:49:03 -0700
From: 	Steve Mood <[email-masked]>
To: 	Romascanu, Dan (Dan) <[email-masked]>, <[email-masked]>

Bert,

Here is the link. Sorry it took so long. Our web guy is actually on vacation today.

http://www.omnitron-systems.com/temp/MEFSOAMTC-FMMIBs.zip

-Steve

*From:* Romascanu, Dan (Dan) [mailto:[email-masked]]
*Sent:* Thursday, September 23, 2010 11:49 AM
*To:* Steve Mood
*Cc:* [email-masked]
*Subject:* RE: MEF SOAM MIB

Steve,

I am disconnecting now and logging off for my vacation. Please send the link to Bert who is backing me up on managing the 
MIB-Doctors team and other in my absence.

Bert,

When Steve's link arrives, please send a call for volunteers to the MIB Doctors list on my behalf for reviewing the two MEF MIB 
modules.

Thanks and Regards,

Dan

    ------------------------------------------------------------------------------------------------------------------------------------

    *From:* Steve Mood [mailto:[email-masked]]
    *Sent:* Thursday, September 23, 2010 6:37 PM
    *To:* Romascanu, Dan (Dan)
    *Subject:* RE: MEF SOAM MIB

    Dan,

    I will get it uploaded and provide a link soon.

    -Steve

    *From:* Romascanu, Dan (Dan) [mailto:[email-masked]]
    *Sent:* Thursday, September 23, 2010 9:09 AM
    *To:* Steve Mood
    *Subject:* RE: MEF SOAM MIB

    Steve,

    My message to the MIB Doctors list returned with an error - looks like the list does nor accept messages with attachments.

    Can you place the MIB modules at an URL where they can be accessed from by the MIB-Doctors?

    Thanks and Regards,

    Dan

        ------------------------------------------------------------------------------------------------------------------------------------

        *From:* Steve Mood [mailto:[email-masked]]
        *Sent:* Thursday, September 23, 2010 4:02 PM
        *To:* Romascanu, Dan (Dan)
        *Subject:* RE: MEF SOAM MIB

        Hi Dan,

        I have attached a zip file of the current MEF SOAM TC and FM MIBs. In the zip file are three text files:

        (1) ETH-SERVICE-OAM-TC-MIB-20100923.txt, this file contains the MEF TC MIB

        (2) ETH-SERVICE-OAM-FM-MIB-20100923.txt, this file contains the MEF FM MIB

        (3) ETH-SOAM-TC-FM-20100923.txt, this file contains the previous two files as well as the other MIBs necessary to compile
        the MEF MIBs without problem for the online libsmi compiler found at http://www.simpleweb.org/ietf/mibs/validate/.

        I ran the validation at level 6 and the only errors observed were for the other MIBs that were used as "imports" for the MEF
        MIBs.

        Have a great vacation and I hope to hear back from you within a couple of weeks.

        Regards,

        -Steve Mood

        *From:* Romascanu, Dan (Dan) [mailto:[email-masked]]
        *Sent:* Thursday, September 23, 2010 4:29 AM
        *To:* Steve Mood
        *Subject:* RE: MEF SOAM MIB

        Just be aware that I am going on vacation this night and will be out of mail for the next ten days. Do not expect too much
        to happen during this time.

        Regards,

        Dan

            ------------------------------------------------------------------------------------------------------------------------------------

            *From:* Steve Mood [mailto:[email-masked]]
            *Sent:* Wednesday, September 22, 2010 9:20 PM
            *To:* Romascanu, Dan (Dan)
            *Subject:* RE: MEF SOAM MIB

            Dan,

            I will send you the text files after our conference call tomorrow to see if there are any more changes before I send
            them to you.

            Thanks,

            -Steve

            *From:* Romascanu, Dan (Dan) [mailto:[email-masked]]
            *Sent:* Tuesday, September 21, 2010 6:55 AM
            *To:* Steve Mood
            *Subject:* RE: MEF SOAM MIB

            It would be useful if you can extract the MIB modules and put them in ASCII text files, so that they can be directly
            processed by SMI validation tools.

            Placing them in the same directory which can be accessed by the MIB doctors would be fine.

            Thanks and Regards,

            Dan

                ------------------------------------------------------------------------------------------------------------------------------------

                *From:* Steve Mood [mailto:[email-masked]]
                *Sent:* Tuesday, September 21, 2010 3:39 PM
                *To:* Romascanu, Dan (Dan)
                *Subject:* RE: MEF SOAM MIB

                Hi Dan,

                The current MIB modules are found in a Word document at:
                http://www.metroethernetforum.net/apps/org/workgroup/technical/download.php/10178/D00084_002_Service_OAM_MIB_Markup_02.doc

                I can extract the TC and FM MIBs from this document if would like me to and send you the zip file.

                -Steve

                -----Original Message-----
                From: Romascanu, Dan (Dan) [mailto:[email-masked]]
                Sent: Tue 9/21/2010 6:27 AM
                To: Steve Mood
                Subject: RE: MEF SOAM MIB

                Hi Steve,

                Can you provide me with a reference to the MIB modules, so that I can
                send a call for volunteers on the MIB-Doctors list?

                Dan

                ________________________________

                         From: Steve Mood [mailto:[email-masked]]
                         Sent: Tuesday, September 21, 2010 2:00 AM
                         To: Romascanu, Dan (Dan)
                         Subject: MEF SOAM MIB

                         Hi Dan,

                         The MEF SOAM MIB committee is nearing completion on the SOAM FM
                and TC MIBs. I remember you telling the MEF that you and the MIB doctors
                would be willing to do a review of the MIB. Is that offer still open?

                         Steve Mood, CTO

                         Omnitron Systems Technology, Inc.

                         [email-masked] <mailto:[email-masked]>

                         +1 949-250-6510 begin_of_the_skype_highlighting              +1
                949-250-6510      end_of_the_skype_highlighting Ext.8810 (Office Phone)

                         www.omnitron-systems.com <http://www.omnitron-systems.com>

                         Confidentiality Statement: This message, together with any
                attachments, is intended only for the use of the individual or entity to
                which it is addressed.  It may contain information that is confidential
                and prohibited from disclosure.  If you are not the intended recipient,
                you are hereby notified that any dissemination or copying of this
                message or any attachment is strictly prohibited.  If you have received
                this item in error, please notify the original sender and destroy this
                item, along with any attachments.  Thank you.